Warband in Linux

MArdA TaleWorlds

Community Support
M&BWBWF&SNWVC
Best answers
2
Maxwell Hall said:
I'm getting CTD issues with running the Steam Linux version of Warband. Happens when changing scenes like when starting battles for example. Is there anything I can do to stop them from happening?

Also had a ragdoll bug, but stopped that by disabling ragdolls.
Can you share your PC Specs and module that you are playing? We can try to reproduce.
 

Maxwell Hall

Regular
Best answers
0
Sure I'd love some help, found some time to play today and keep getting CTD, it's basically unplayable for me ):

I'm using a RX 580 GPU, ASUS 370x Pro-Prime Mobo, 3200x flash, G Skill 3200x Flare-X RAM 2 8gb sticks. I'm running Ubuntu MATE 18.04. Running up to date Steam and Mount and Blade, using Brytenwalda 1.41, the original version.

It crashes when changing scenes as said like leaving a city or entering a battle. It also crashes quite often when I press the "load" button. I'm not sure if it'll help, but I launched the game through the terminal, and I might have gotten an error message at the end, I'll copy/paste here just in case it's helpful:

:~$ steam
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Pins up-to-date!
[2019-04-13 15:40:17] Startup - updater built Feb 18 2019 22:08:53
Looks like steam didn't shutdown cleanly, scheduling immediate update check
[2019-04-13 15:40:18] Checking for update on startup
[2019-04-13 15:40:18] Checking for available updates...
[2019-04-13 15:40:18] Downloading manifest: client-download.steampowered.com/client/steam_client_ubuntu12
[2019-04-13 15:40:18] Download skipped: /client/steam_client_ubuntu12 version 1550534751, installed version 1550534751
[2019-04-13 15:40:18] Nothing to do
[2019-04-13 15:40:18] Verifying installation...
[2019-04-13 15:40:18] Performing checksum verification of executable files
[2019-04-13 15:40:19] Verification complete
crypto.cpp (2173) : Assertion Failed: rsaKey.IsValid()
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Maxwell Hall said:
Sure I'd love some help, found some time to play today and keep getting CTD, it's basically unplayable for me ):

I'm using a RX 580 GPU, ASUS 370x Pro-Prime Mobo, 3200x flash, G Skill 3200x Flare-X RAM 2 8gb sticks. I'm running Ubuntu MATE 18.04. Running up to date Steam and Mount and Blade, using Brytenwalda 1.41, the original version.

It crashes when changing scenes as said like leaving a city or entering a battle. It also crashes quite often when I press the "load" button. I'm not sure if it'll help, but I launched the game through the terminal, and I might have gotten an error message at the end, I'll copy/paste here just in case it's helpful:

:~$ steam
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Pins up-to-date!
[2019-04-13 15:40:17] Startup - updater built Feb 18 2019 22:08:53
Looks like steam didn't shutdown cleanly, scheduling immediate update check
[2019-04-13 15:40:18] Checking for update on startup
[2019-04-13 15:40:18] Checking for available updates...
[2019-04-13 15:40:18] Downloading manifest: client-download.steampowered.com/client/steam_client_ubuntu12
[2019-04-13 15:40:18] Download skipped: /client/steam_client_ubuntu12 version 1550534751, installed version 1550534751
[2019-04-13 15:40:18] Nothing to do
[2019-04-13 15:40:18] Verifying installation...
[2019-04-13 15:40:18] Performing checksum verification of executable files
[2019-04-13 15:40:19] Verification complete
crypto.cpp (2173) : Assertion Failed: rsaKey.IsValid()
That's the steam log, it has nothing to do with M&B and whatever listed in it doesn't show an actual problem. I explained a way to properly troubleshoot CTD on the previous page of this topic, you might want to try it.
 

Maxwell Hall

Regular
Best answers
0
Is that what you meant when you said "backtrace"? I read what you wrote but didn't understand it.

I hope M.ArdA_TaleWorlds can provide some assistance. Might it be worth trying to play Warband through Wine?
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Maxwell Hall said:
Is that what you meant when you said "backtrace"? I read what you wrote but didn't understand it.

I hope M.ArdA_TaleWorlds can provide some assistance. Might it be worth trying to play Warband through Wine?
Sorry of the late reply. No, that isn't the backtrace.

A CTD means something wrong happened with the game proper, maybe you lack a driver or maybe you found a bug. Maybe you are using a buggy mod too. The log you've shown is the steam log, not the game's log.

When you start your game, it's log should be sent to your ~/.xsession-errors file, along with all other graphical software's log. You'll most probably find out why the game crashes in that file.
 

comradegarry

Recruit
M&BWBWF&SNWVC
Best answers
0
Maxwell Hall said:
Sure I'd love some help, found some time to play today and keep getting CTD, it's basically unplayable for me ):

I'm using a RX 580 GPU, ASUS 370x Pro-Prime Mobo, 3200x flash, G Skill 3200x Flare-X RAM 2 8gb sticks. I'm running Ubuntu MATE 18.04. Running up to date Steam and Mount and Blade, using Brytenwalda 1.41, the original version.

It crashes when changing scenes as said like leaving a city or entering a battle. It also crashes quite often when I press the "load" button. I'm not sure if it'll help, but I launched the game through the terminal, and I might have gotten an error message at the end, I'll copy/paste here just in case it's helpful:

:~$ steam
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Pins up-to-date!
[2019-04-13 15:40:17] Startup - updater built Feb 18 2019 22:08:53
Looks like steam didn't shutdown cleanly, scheduling immediate update check
[2019-04-13 15:40:18] Checking for update on startup
[2019-04-13 15:40:18] Checking for available updates...
[2019-04-13 15:40:18] Downloading manifest: client-download.steampowered.com/client/steam_client_ubuntu12
[2019-04-13 15:40:18] Download skipped: /client/steam_client_ubuntu12 version 1550534751, installed version 1550534751
[2019-04-13 15:40:18] Nothing to do
[2019-04-13 15:40:18] Verifying installation...
[2019-04-13 15:40:18] Performing checksum verification of executable files
[2019-04-13 15:40:19] Verification complete
crypto.cpp (2173) : Assertion Failed: rsaKey.IsValid()
It could be your graphic drivers; some newer mesa libraries have bugs dealing with older games(e.g. counter strike 1.6), try using ubuntu default graphics drivers(mesa) if your using those drivers then try current+patches PPA or the closed source AMDGPU ones (I've ran into problems with the closed source ones so be warned).
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
comradegarry said:
Maxwell Hall said:
Sure I'd love some help, found some time to play today and keep getting CTD, it's basically unplayable for me ):

I'm using a RX 580 GPU, ASUS 370x Pro-Prime Mobo, 3200x flash, G Skill 3200x Flare-X RAM 2 8gb sticks. I'm running Ubuntu MATE 18.04. Running up to date Steam and Mount and Blade, using Brytenwalda 1.41, the original version.

It crashes when changing scenes as said like leaving a city or entering a battle. It also crashes quite often when I press the "load" button. I'm not sure if it'll help, but I launched the game through the terminal, and I might have gotten an error message at the end, I'll copy/paste here just in case it's helpful:

:~$ steam
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Pins up-to-date!
[2019-04-13 15:40:17] Startup - updater built Feb 18 2019 22:08:53
Looks like steam didn't shutdown cleanly, scheduling immediate update check
[2019-04-13 15:40:18] Checking for update on startup
[2019-04-13 15:40:18] Checking for available updates...
[2019-04-13 15:40:18] Downloading manifest: client-download.steampowered.com/client/steam_client_ubuntu12
[2019-04-13 15:40:18] Download skipped: /client/steam_client_ubuntu12 version 1550534751, installed version 1550534751
[2019-04-13 15:40:18] Nothing to do
[2019-04-13 15:40:18] Verifying installation...
[2019-04-13 15:40:18] Performing checksum verification of executable files
[2019-04-13 15:40:19] Verification complete
crypto.cpp (2173) : Assertion Failed: rsaKey.IsValid()
It could be your graphic drivers; some newer mesa libraries have bugs dealing with older games(e.g. counter strike 1.6), try using ubuntu default graphics drivers(mesa) if your using those drivers then try current+patches PPA or the closed source AMDGPU ones (I've ran into problems with the closed source ones so be warned).
There is not really closed source AMDGPU drivers, unless you run very old hardware. AMD chose to unify their drivers with the opensource one, minus the firmwares. You almost never want to run older drivers.
 

comradegarry

Recruit
M&BWBWF&SNWVC
Best answers
0
xrogaan said:
comradegarry said:
Maxwell Hall said:
Sure I'd love some help, found some time to play today and keep getting CTD, it's basically unplayable for me ):

I'm using a RX 580 GPU, ASUS 370x Pro-Prime Mobo, 3200x flash, G Skill 3200x Flare-X RAM 2 8gb sticks. I'm running Ubuntu MATE 18.04. Running up to date Steam and Mount and Blade, using Brytenwalda 1.41, the original version.

It crashes when changing scenes as said like leaving a city or entering a battle. It also crashes quite often when I press the "load" button. I'm not sure if it'll help, but I launched the game through the terminal, and I might have gotten an error message at the end, I'll copy/paste here just in case it's helpful:

:~$ steam
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Pins up-to-date!
[2019-04-13 15:40:17] Startup - updater built Feb 18 2019 22:08:53
Looks like steam didn't shutdown cleanly, scheduling immediate update check
[2019-04-13 15:40:18] Checking for update on startup
[2019-04-13 15:40:18] Checking for available updates...
[2019-04-13 15:40:18] Downloading manifest: client-download.steampowered.com/client/steam_client_ubuntu12
[2019-04-13 15:40:18] Download skipped: /client/steam_client_ubuntu12 version 1550534751, installed version 1550534751
[2019-04-13 15:40:18] Nothing to do
[2019-04-13 15:40:18] Verifying installation...
[2019-04-13 15:40:18] Performing checksum verification of executable files
[2019-04-13 15:40:19] Verification complete
crypto.cpp (2173) : Assertion Failed: rsaKey.IsValid()
It could be your graphic drivers; some newer mesa libraries have bugs dealing with older games(e.g. counter strike 1.6), try using ubuntu default graphics drivers(mesa) if your using those drivers then try current+patches PPA or the closed source AMDGPU ones (I've ran into problems with the closed source ones so be warned).
There is not really closed source AMDGPU drivers, unless you run very old hardware. AMD chose to unify their drivers with the opensource one, minus the firmwares. You almost never want to run older drivers.
Well the AMDGPU PRO(sometimes called just AMDGPU) Drivers provided by amd are proprietary due to certification and validation reasons (https://www.amd.com/en/support/kb/release-notes/rn-radpro-lin-16-40) but it still would not be my first or second recommendation, as for the main problem user listed there is a link(https://github.com/ValveSoftware/halflife/issues/2100) to a problem similar to the what he described and mentioned by valve (granted for cs1.6 not M&B)  as being cause by either having too new of mesa libraries(for me it was too new) or too old.
 

Maxwell Hall

Regular
Best answers
0
I played Warband, it crashed, I then copy/paste the contents of the X-sessions file, appears to be a number of errors present do you guys know what it means?

dbus-update-activation-environment: setting DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
dbus-update-activation-environment: setting DISPLAY=:0
dbus-update-activation-environment: setting XAUTHORITY=/home/honeybeeoverlord/.Xauthority
dbus-update-activation-environment: setting GTK_MODULES=appmenu-gtk-module:gail:atk-bridge:canberra-gtk-module
dbus-update-activation-environment: setting QT_ACCESSIBILITY=1
dbus-update-activation-environment: setting LANG=en_AU.UTF-8
dbus-update-activation-environment: setting GDM_LANG=en_AU
dbus-update-activation-environment: setting DISPLAY=:0
dbus-update-activation-environment: setting COMPIZ_CONFIG_PROFILE=mate
dbus-update-activation-environment: setting GTK_OVERLAY_SCROLLING=0
dbus-update-activation-environment: setting MANDATORY_PATH=/usr/share/gconf/mate.mandatory.path
dbus-update-activation-environment: setting XDG_GREETER_DATA_DIR=/var/lib/lightdm-data/honeybeeoverlord
dbus-update-activation-environment: setting USER=honeybeeoverlord
dbus-update-activation-environment: setting DESKTOP_SESSION=mate
dbus-update-activation-environment: setting DEFAULTS_PATH=/usr/share/gconf/mate.default.path
dbus-update-activation-environment: setting QT_QPA_PLATFORMTHEME=gtk2
dbus-update-activation-environment: setting PWD=/home/honeybeeoverlord
dbus-update-activation-environment: setting HOME=/home/honeybeeoverlord
dbus-update-activation-environment: setting QT_ACCESSIBILITY=1
dbus-update-activation-environment: setting XDG_SESSION_TYPE=x11
dbus-update-activation-environment: setting XDG_DATA_DIRS=/usr/share/mate:/usr/local/share:/usr/share:/var/lib/snapd/desktop
dbus-update-activation-environment: setting XDG_SESSION_DESKTOP=mate
dbus-update-activation-environment: setting GTK_MODULES=appmenu-gtk-module:gail:atk-bridge:canberra-gtk-module
dbus-update-activation-environment: setting UBUNTU_MENUPROXY=1
dbus-update-activation-environment: setting SHELL=/bin/bash
dbus-update-activation-environment: setting XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
dbus-update-activation-environment: setting IM_CONFIG_PHASE=1
dbus-update-activation-environment: setting XDG_CURRENT_DESKTOP=MATE
dbus-update-activation-environment: setting GPG_AGENT_INFO=/run/user/1000/gnupg/S.gpg-agent:0:1
dbus-update-activation-environment: setting SHLVL=1
dbus-update-activation-environment: setting LANGUAGE=en_AU:en
dbus-update-activation-environment: setting GDMSESSION=mate
dbus-update-activation-environment: setting LOGNAME=honeybeeoverlord
dbus-update-activation-environment: setting DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
dbus-update-activation-environment: setting XDG_RUNTIME_DIR=/run/user/1000
dbus-update-activation-environment: setting XAUTHORITY=/home/honeybeeoverlord/.Xauthority
dbus-update-activation-environment: setting XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
dbus-update-activation-environment: setting XDG_CONFIG_DIRS=/etc/xdg/xdg-mate:/etc/xdg
dbus-update-activation-environment: setting PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
dbus-update-activation-environment: setting _=/usr/bin/dbus-update-activation-environment
** Message: 17:08:29.533: couldn't access control socket: /run/user/1000/keyring/control: No such file or directory
mate-session[1479]: WARNING: Unable to find provider '' of required component 'dock'
Window manager warning: Log level 128: Name com.canonical.AppMenu.Registrar does not exist on the session bus

Window manager warning: Log level 16: XPresent is not compatible with your current system configuration.

(process:1995): indicator-sound-WARNING **: 17:08:29.892: volume-control-pulse.vala:735: unable to get pulse unix socket: GDBus.Error:eek:rg.freedesktop.DBus.Error.ServiceUnknown: The name org.PulseAudio1 was not provided by any .service files

(nm-applet:201:cool:: Gtk-WARNING **: 17:08:30.015: Can't set a parent on widget which has a parent
/usr/lib/python3/dist-packages/blueman/plugins/applet/AppIndicator.py:8: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3 as girAppIndicator
ERROR:dbus.proxies:Introspect error on org.bluez:/org/bluez: dbus.exceptions.DBusException: org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.service not found.
ERROR:dbus.proxies:Introspect error on org.bluez:/: dbus.exceptions.DBusException: org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.service not found.
ERROR:dbus.proxies:Introspect error on org.bluez:/: dbus.exceptions.DBusException: org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.service not found.
INFO:root:The HUD is disabled via org.mate.hud in gsettings.

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:08:57.932: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:08:57.932: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:08:57.964: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:10:13.911: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:10:13.911: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:10:13.914: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:11:06.920: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:11:06.920: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:11:06.924: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:13:12.930: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:13:12.930: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:13:12.933: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:14:15.917: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:14:15.917: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:14:15.923: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:16:21.931: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:16:21.931: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:16:21.935: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:16:21.937: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:16:21.938: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:16:21.940: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:17:24.932: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:17:24.932: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:17:24.938: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:18:27.923: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:18:27.923: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:18:27.927: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:19:30.897: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:19:30.897: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:19:30.901: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:19:30.904: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:19:30.904: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:19:30.907: Can't set a parent on widget which has a parent

(caja:1953): Gtk-CRITICAL **: 17:20:27.822: gtk_image_menu_item_set_always_show_image: assertion 'GTK_IS_IMAGE_MENU_ITEM (image_menu_item)' failed

(caja:1953): Gtk-CRITICAL **: 17:20:27.822: gtk_image_menu_item_set_always_show_image: assertion 'GTK_IS_IMAGE_MENU_ITEM (image_menu_item)' failed

(caja:1953): Gtk-CRITICAL **: 17:20:42.608: gtk_image_menu_item_set_always_show_image: assertion 'GTK_IS_IMAGE_MENU_ITEM (image_menu_item)' failed

(caja:1953): Gtk-CRITICAL **: 17:20:42.608: gtk_image_menu_item_set_always_show_image: assertion 'GTK_IS_IMAGE_MENU_ITEM (image_menu_item)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:21:36.930: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:21:36.930: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:21:36.933: Can't set a parent on widget which has a parent
Gtk-Message: 17:24:02.678: GtkDialog mapped without a transient parent. This is discouraged.
0012:fixme:heap:RtlSetHeapInformation (nil) 1 (nil) 0 stub
0012:fixme:process:SetProcessDEPPolicy (1): stub
0012:fixme:heap:RtlSetHeapInformation (nil) 1 (nil) 0 stub
0009:fixme:exec:SHELL_execute flags ignored: 0x00000100

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:24:45.930: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:24:45.930: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:24:45.935: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:26:51.871: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:26:51.871: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:26:51.874: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:26:51.877: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:26:51.877: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:26:51.880: Can't set a parent on widget which has a parent

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:28:57.893: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-CRITICAL **: 17:28:57.893: gtk_widget_destroy: assertion 'GTK_IS_WIDGET (widget)' failed

(nm-applet:201:cool:: Gtk-WARNING **: 17:28:57.898: Can't set a parent on widget which has a parent





I'm using the opensource drivers that's inbuilt into the kernel. What are these PPA patches that I can use?
 

Grank

Knight at Arms
WBNWVC
Best answers
0
comradegarry said:
It could be your graphic drivers; some newer mesa libraries have bugs dealing with older games(e.g. counter strike 1.6), try using ubuntu default graphics drivers(mesa) if your using those drivers then try current+patches PPA or the closed source AMDGPU ones (I've ran into problems with the closed source ones so be warned).
Can you tell me which mesa version you recommend for Warband? I checked mine and the default version that goes with the OS is 11.2 (I have 18.0.5 installed).
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Maxwell Hall said:
I played Warband, it crashed, I then copy/paste the contents of the X-sessions file, appears to be a number of errors present do you guys know what it means?
[snip]
I'm using the opensource drivers that's inbuilt into the kernel. What are these PPA patches that I can use?
Which distro do you use? The content of the xsession-log file is useless to us, all that is requried is the part directly linked to the game. It should be present in that file, or in the steam log in /tmp/dumps/
But before that, we need to know which distro you uses and what drivers you have installed. You need to install your GPU's drivers, which should come with xserver-xorg-video-all on a debian machine (or derivative).

Grank said:
comradegarry said:
It could be your graphic drivers; some newer mesa libraries have bugs dealing with older games(e.g. counter strike 1.6), try using ubuntu default graphics drivers(mesa) if your using those drivers then try current+patches PPA or the closed source AMDGPU ones (I've ran into problems with the closed source ones so be warned).
Can you tell me which mesa version you recommend for Warband? I checked mine and the default version that goes with the OS is 11.2 (I have 18.0.5 installed).
Personally I use stretch backports (18.2.:cool:, and everything works just fine.

The reason I said it is better to use the latest version available to you is because mesa changes all the time, as per https://mesa3d.org/relnotes.html. And also because distro like debian have a very old mesa in their repo  If you want to know what changes between you current version (18.0) and the next one (18.1), just check the release notes. Sometimes, you get surprises (only took 10 years for that one) :smile:

To answer you question: the one that works for you. If the game function, why would you want to change anything?

The commit listed as an example can be found in version https://mesa3d.org/relnotes/18.3.5.html and https://www.mesa3d.org/relnotes/19.0.0.html.
 

Grank

Knight at Arms
WBNWVC
Best answers
0
xrogaan said:
Personally I use stretch backports (18.2.:cool:, and everything works just fine.

The reason I said it is better to use the latest version available to you is because mesa changes all the time, as per https://mesa3d.org/relnotes.html. And also because distro like debian have a very old mesa in their repo  If you want to know what changes between you current version (18.0) and the next one (18.1), just check the release notes. Sometimes, you get surprises (only took 10 years for that one) :smile:

To answer you question: the one that works for you. If the game function, why would you want to change anything?

The commit listed as an example can be found in version https://mesa3d.org/relnotes/18.3.5.html and https://www.mesa3d.org/relnotes/19.0.0.html.
Then mesa version 18-ish is confirmed to work.

There can be many factors that can contribute to a CTD like reported here. That's why I asked. From what I gathered, it's mod-specific for the latest version of Warband, and each mod may or may not have the same cause for crashing. Even so, the error could be mod-side or engine-side.

For those who experience crashes, please state what module you're using. Check the Warband version your mod is stated to work for. Older mods like Gekokujo tend to crash, while newer ones like ACOK 7.0 don't. Native should work for you no matter what, so if it doesn't, it's certainly an issue.

Edit:
You can find your Steam backtrace in /tmp/dumps/username_stdout.txt. Open that file and go to the end. You will see something like the spoiler below. This is an example of a crash I got from playing Sugoroku 3.1. This time it crashed when it tried to deallocate some memory. I hope this helps.

Code:
*** Error in `/home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux': free(): invalid size: 0x000000003f800000 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x777e5)[0x7fe7b242d7e5]
/lib/x86_64-linux-gnu/libc.so.6(+0x8037a)[0x7fe7b243637a]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x4c)[0x7fe7b243a53c]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x80f8e)[0x7fe796272f8e]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x8271d)[0x7fe79627471d]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x785eb)[0x7fe79626a5eb]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x1612e0)[0x7fe7963532e0]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x161531)[0x7fe796353531]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x7508d)[0x7fe79626708d]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x752b1)[0x7fe7962672b1]
/usr/lib/x86_64-linux-gnu/dri/i965_dri.so(+0x1ca5a1)[0x7fe7963bc5a1]
/home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux(_ZN11rglRenderer26process_render_record_mainEPK17rglRender_contextiRK15rglMatrix_frameS5_b+0xc86)[0xe28806]
/home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux(_ZN11rglRenderer14render_rc_hlslEP17rglRender_contextbb+0x7a7)[0xe29737]
/home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux(_ZN11rglRenderer10render_allEP17rglRender_context+0xed7)[0xe2ff27]
/home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux(_Z25directx_thread_step_innerPv+0x118)[0xec47c8]
/home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux(_Z19directx_thread_stepPv+0x19)[0xec4db9]
/home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux(_Z14directx_threadPv+0x57)[0xec4e57]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x76ba)[0x7fe7b38596ba]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x6d)[0x7fe7b24bd41d]
======= Memory map: ========
00400000-015c3000 r-xp 00000000 08:06 12999532                           /home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux
017c3000-019db000 r--p 011c3000 08:06 12999532                           /home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux
019db000-020b0000 rw-p 013db000 08:06 12999532                           /home/herwin/.local/share/Steam/steamapps/common/MountBlade Warband/mb_warband_linux
020b0000-04890000 rw-p 00000000 00:00 0 
06438000-3fd17000 rw-p 00000000 00:00 0                                  [heap]
7fe74c000000-7fe74c021000 rw-p 00000000 00:00 0 
7fe76256b000-7fe76256c000 rw-s 11304e000 00:06 293                       /dev/dri/card0
7fe76a4ac000-7fe76a4b0000 rw-s 00000000 00:05 157398                     /drm mm object (deleted)

A BUNCH OF SIMILAR LINES CUT FOR BREFITY

7fe7b42bd000-7fe7b42be000 rw-p 00072000 08:06 15073504                   /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1.2.0
7fe7b42be000-7fe7b42bf000 rw-p 00000000 00:00 0 
7fe7b42bf000-7fe7b42f5000 r-xp 00000000 08:06 12733028                   /home/herwin/.local/share/Steam/ubuntu12_64/gameoverlayrenderer.so
7fe7b42f5000-7fe7b44f4000 ---p 00036000 08:06 12733028                   /home/herwin/.local/share/Steam/ubuntu12_64/gameoverlayrenderer.so
7fe7b44f4000-7fe7b44f6000 r--p 00035000 08:06 12733028                   /home/herwin/.local/share/Steam/ubuntu12_64/gameoverlayrenderer.so
7fe7b44f6000-7fe7b44f7000 rw-p 00037000 08:06 12733028                   /home/herwin/.local/share/Steam/ubuntu12_64/gameoverlayrenderer.so
7fe7b44f7000-7fe7b44fb000 rw-p 00000000 00:00 0 
7fe7b44fb000-7fe7b4521000 r-xp 00000000 08:06 17564977                   /lib/x86_64-linux-gnu/ld-2.23.so
7fe7b4521000-7fe7b4528000 r--s 00000000 08:06 15076442                   /usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache
7fe7b4528000-7fe7b4559000 rw-s 00000000 00:14 166                        /dev/shm/u1000-Shm_4561bf89
7fe7b4559000-7fe7b45fd000 rw-p 00000000 00:00 0 
7fe7b45fd000-7fe7b467e000 rw-s 00000000 00:14 156                        /dev/shm/u1000-Shm_bad90628
7fe7b467e000-7fe7b4720000 rw-p 00000000 00:00 0 
7fe7b4720000-7fe7b4721000 r--p 00025000 08:06 17564977                   /lib/x86_64-linux-gnu/ld-2.23.so
7fe7b4721000-7fe7b4722000 rw-p 00026000 08:06 17564977                   /lib/x86_64-linux-gnu/ld-2.23.so
7fe7b4722000-7fe7b4723000 rw-p 00000000 00:00 0 
7fff9d09d000-7fff9d302000 rw-p 00000000 00:00 0                          [stack]
7fff9d354000-7fff9d357000 r--p 00000000 00:00 0                          [vvar]
7fff9d357000-7fff9d359000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted (core dumped)
Game removed: AppID 48700 "", ProcID 23100 
Exiting app 48700
 

boomerguy9000

Recruit
Best answers
0
Grank said:
I have tried the beta, and the game works now. However, it still has the same CTD issue as the previous version (Manifest ID 7269461115939809640) where the game would crash when using mods. The same as what I reported before:

Grank said:
Is anybody else having problems after the new patch? I could play with mods just fine for a few days, but now the game crashes whenever it tries to load scenes or sometimes it can even crash just by opening the inventory. I get the same result with various mods, and fiddling with my settings doesn't help at all. It just says segmentation fault and nothing else. I'm running the Steam version on Ubuntu Mate 16.04 64 bit.

Edit:
I think I have done enough testing to make the following conclusion. The game seems to crash because of some texture-caching bug. Most likely because the game tries to fetch from invalid addresses in the memory. I tested this by playing a mod and having two saves with different items in the inventory and different units in the party, so each save loads different textures. Changing "Load Textures on Demand" produces the same behavior, single threading or not.

1. After a fresh boot, load save 1 and the game runs fine. Crashes after what seems to be loading too many textures.
2. Load save 1 again. Immediate crash when opening inventory, party, or scenes.
3. Load save 2, game runs fine. Most likely because the game has to load new textures for save 2 from scratch and it can be fetched properly. However, the game crashes again after loading too many textures. Same as case 1.
4. The crash can also happen when you're exiting a dialog scene and returning to the campaign map. Maybe the campaign map's textures were unloaded when loading the dialogue scene, but when you're going back to the campaign map, the map's textures are invalid just like the other textures.

I hope the devs read this. I found a few people with similar problems while Googling around, but no solution yet.

The game crashes when you try to open your inventory, shops or anything that would require items to be rendered. I have tested with A Clash of Kings (crash), Gekokujo (crash), Perisno (crash) and Prophesy of Pendor (playable).

Ubuntu Mate 16.04.5 on Intel i3 with 8GB RAM and Integrated Intel VGA.
I HAVE THIS PROBLEME  :shock:
PLESAE FIX ARMAGAN YAVUZ HELP ME!!!!  :oops: :oops: :oops:
 

biomanu

Recruit
Best answers
0
Hello everyone, i have problem/bug:
i've been playing aroung 30h by now. (I've played more in Windows but i unistalled when i moved to linux), it all go well unitl today when i started playing. Everytime i try to open the inventory, group, etc menu or i start a battle the game crashes to desktop.
i've tried to change use_odemand_textures_ = 1 to = 0 but it didn't work.
My OS is Linus Mint 19.3
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Hello everyone, i have problem/bug:
i've been playing aroung 30h by now. (I've played more in Windows but i unistalled when i moved to linux), it all go well unitl today when i started playing. Everytime i try to open the inventory, group, etc menu or i start a battle the game crashes to desktop.
i've tried to change use_odemand_textures_ = 1 to = 0 but it didn't work.
My OS is Linus Mint 19.3
We need to know if you play a modded game, your hardware and if you properly installed the most recent drivers for your hardware.
 
Best answers
0
I've been trying to run Warband on Linux, but like a lot of people mentioned I've had problems with CTDs, specially with certain mods (Prophesy of Pendor, Bones of Ragnvald, Legacy of the Dragon; To name a few).
Playing with wine resolves these issues, but creates an even bigger one: there is a problem with how the mouse is rendered, and it makes the game lag severely whenever the mouse is moved.
I've dug around and the issue seems to be this one:


I believe that one possible fix for this issue is to make an option in the main (windows) version of the game to disable mouse replacement, like it already is by default on the linux version. I don't know how much work this would be, so I understand if it's not possible. I'd be glad to hear an official response though.

Thanks in advance.